curl https://api.intellibase.dev/api/v1/ontologies \
-H "Authorization: Bearer ib-your-api-key"
import requests
response = requests.get(
"https://api.intellibase.dev/api/v1/ontologies",
headers={"Authorization": "Bearer ib-your-api-key"}
)
ontologies = response.json()["ontologies"]
for ontology in ontologies:
print(f"{ontology['name']}: {ontology['id']}")
const response = await fetch(
"https://api.intellibase.dev/api/v1/ontologies",
{
headers: {
"Authorization": "Bearer ib-your-api-key"
}
}
);
const { ontologies } = await response.json();
ontologies.forEach(ontology => {
console.log(`${ontology.name} : ${ontology.id}`);
});
{
"ontologies": [
{
"id": "ont-abc123",
"name": "Software Engineering",
"created_at": "2024-01-15T10:30:00Z"
},
{
"id": "ont-def456",
"name": "Customer Support",
"created_at": "2024-01-10T09:00:00Z"
}
]
}
{
"detail": "Invalid API key"
}
Ontologies
List Ontologies
Retrieve all ontologies in your account
GET
/
api
/
v1
/
ontologies
curl https://api.intellibase.dev/api/v1/ontologies \
-H "Authorization: Bearer ib-your-api-key"
import requests
response = requests.get(
"https://api.intellibase.dev/api/v1/ontologies",
headers={"Authorization": "Bearer ib-your-api-key"}
)
ontologies = response.json()["ontologies"]
for ontology in ontologies:
print(f"{ontology['name']}: {ontology['id']}")
const response = await fetch(
"https://api.intellibase.dev/api/v1/ontologies",
{
headers: {
"Authorization": "Bearer ib-your-api-key"
}
}
);
const { ontologies } = await response.json();
ontologies.forEach(ontology => {
console.log(`${ontology.name} : ${ontology.id}`);
});
{
"ontologies": [
{
"id": "ont-abc123",
"name": "Software Engineering",
"created_at": "2024-01-15T10:30:00Z"
},
{
"id": "ont-def456",
"name": "Customer Support",
"created_at": "2024-01-10T09:00:00Z"
}
]
}
{
"detail": "Invalid API key"
}
Endpoint
GET https://api.intellibase.dev/api/v1/ontologies
Authentication
Requires a valid API key.Response
array
curl https://api.intellibase.dev/api/v1/ontologies \
-H "Authorization: Bearer ib-your-api-key"
import requests
response = requests.get(
"https://api.intellibase.dev/api/v1/ontologies",
headers={"Authorization": "Bearer ib-your-api-key"}
)
ontologies = response.json()["ontologies"]
for ontology in ontologies:
print(f"{ontology['name']}: {ontology['id']}")
const response = await fetch(
"https://api.intellibase.dev/api/v1/ontologies",
{
headers: {
"Authorization": "Bearer ib-your-api-key"
}
}
);
const { ontologies } = await response.json();
ontologies.forEach(ontology => {
console.log(`${ontology.name} : ${ontology.id}`);
});
{
"ontologies": [
{
"id": "ont-abc123",
"name": "Software Engineering",
"created_at": "2024-01-15T10:30:00Z"
},
{
"id": "ont-def456",
"name": "Customer Support",
"created_at": "2024-01-10T09:00:00Z"
}
]
}
{
"detail": "Invalid API key"
}
This endpoint returns summary information. Use Get Ontology to retrieve the complete schema.
⌘I